Subject: [alpine-aports] [PATCH 1/2] testing/xf86-input-wacom: new aport

From: Ivan Tham <[email-masked]>
Date: Thu, 16 Mar 2017 23:25:36 +0800

http://linuxwacom.sourceforge.net/
X.org Wacom tablet input driver
---
This is duplicated https://github.com/alpinelinux/aports/pull/1020/commits/4e89e08a48d9adfdc4bd17cf75a229bcb3f13ef1
 testing/xf86-input-wacom/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 testing/xf86-input-wacom/APKBUILD

diff --git a/testing/xf86-input-wacom/APKBUILD b/testing/xf86-input-wacom/APKBUILD
new file mode 100644
index 00000000..2feeafdc
--- /dev/null
+++ b/testing/xf86-input-wacom/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Ivan Tham <[email-masked]>
+# Maintainer: Ivan Tham <[email-masked]>
+pkgname=xf86-input-wacom
+pkgver=0.34.2
+pkgrel=0
+pkgdesc="X.org Wacom tablet input driver"
+url="http://linuxwacom.sourceforge.net/"
+arch="all"
+license="GPL2"
+depends=""
+makedepends="xorg-server-dev libxext-dev libxi-dev libxrandr-dev
+	libxinerama-dev eudev-dev"
+checkdepends="bash findutils"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://downloads.sourceforge.net/project/linuxwacom/$pkgname/$pkgname-$pkgver.tar.bz2"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+check() {
+	cd "$builddir"
+	make check || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="882a72c90838ad0cba1386629ac307adac69ed30d7bd3dcbd0cfa5d80c177eceeb09675eda45f01c61e726136f894bb3dda3f2b9b4b195287b6fcb4b00214c8e  xf86-input-wacom-0.34.2.tar.bz2"
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---